Subject: RE: [adslmib] : ethernet/ATM PTS-TC definition

From: "Edward Beili" <[email-masked]>
Date: Tue, 13 Nov 2007 16:59:54 +0200

Luciano,
 
(1) The G.Bond MIBs define objects for the bonded interfaces specified in ITU-T G.998. Specifically, for the G.998.2 (Ethernet bonding) there are two Packet TPS-TC (PTM-TC) mentioned - 64/65-octet (Annex A) and HDLC encapsulation (Annex B). GBOND-ETH-MIB defines a number of objects for the TC management:

gBondEthObjects(1).gBondEthPort(1).gBondEthPortConfTable(1).gBondEthPortConfEntry(1).gBondEthTcAdminType(1)
gBondEthObjects(1).gBondEthPort(1).gBondEthPortCapabilityTable(2).gBondEthPortCapabilityEntry(1).gBondEthTcTypesSupported(1)
gBondEthObjects(1).gBondEthPort(1).gBondEthPortStatusTable(3).gBondEthPortStatusEntry(1).gBondEthTcOperType(1)

defining administrative, supported, and operational values of the PTM-TC of a bonded port, respectively. It is understood that all individual channels in the bonded group (e.g. individual G.SHDSL lines) share the same PTM-TC.
 
(2) The G.998.1 (ATM bonding) uses an ATM TPS-TC (ATM-TC), defined in I.432.1, G.993.1 as well as in some other standards. This ATM-TC is the only TPS-TC defined specifically for the ATM transport. It performs cell rate decoupling (inserting/removing Idle cells), HEC generation/verification, payload scrambling/de-scrambling and cell delineation (using HEC). G.991.2 defines an ATM-TC for G.SHDSL in Annex E9.

Since there's no other TPS-TC defined for G.998.1 bonding I see no reason for inclusion of relevant objects (e.g. gBondAtmTcAdminType, gBondAtmTcTypesSupported, gBondAtmTcOperType) in the GBOND-ATM-MIB.

Hope this helps.

Regards,
-E.

________________________________

	From: Luciano Ranocchi [mailto:[email-masked]] 
	Sent: Wednesday, October 31, 2007 7:52 PM
	To: [email-masked]
	Subject: [adslmib] : ethernet/ATM PTS-TC definition

	Hi All,

	I am working on definition of management configuration for PTS-TC layer over SHDSL line on a per line base: Ethernet or ATM.

	In mib defined by this working group Ethernet and ATM TC is mentioned in g.bond architecture.

	My question is:

	- Is there any definition of 64/65-HDCL TCtype alternative to GBondEthPortStatusEntry and gBondEthPortStatusTable ?

	- in ATM TC, have you any suggestion for ATM Tc layer definition over SHDSL ports?

	Many thanks

	Luciano

_______________________________________________
Adslmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/adslmib